View Issue Details

IDProjectCategoryView StatusLast Update
0035814LazarusLCLpublic2019-07-12 08:38
Reportertr escapeAssigned Towp 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.1 (SVN)Product Build 
Target VersionFixed in Version 
Summary0035814: DateTimePicker copy-paste size problem
DescriptionWhen I use first tdatetimepicker on the form by component palette it is seeming as default but if I copy to paste selected datetimepicker component size changing.


I added figure about my steps.

Note: I am using Hi-DPi screen and not sure about not-scaled screens.

Note: In linux mint (virtualbox) it working normally. (Not Hi-Dpi)
TagsNo tags attached.
Fixed in Revision61558
LazTarget2.0.4
WidgetsetWin32/Win64
Attached Files

Activities

tr escape

2019-07-09 14:27

reporter  

Datetime_Picker.png (22,026 bytes)
Datetime_Picker.png (22,026 bytes)

tr escape

2019-07-10 07:43

reporter   ~0117132

Additionally I think it is related by "AutoButtonSize" property of this component and coming default as False but first creating on the form is seeming as True.

wp

2019-07-10 22:53

developer   ~0117146

The widths of the ArrowButton and UpDown were not high-dpi aware. Fixed. Please test and close if ok.

tr escape

2019-07-12 08:38

reporter   ~0117207

OK.

Issue History

Date Modified Username Field Change
2019-07-09 14:27 tr escape New Issue
2019-07-09 14:27 tr escape File Added: Datetime_Picker.png
2019-07-10 07:43 tr escape Note Added: 0117132
2019-07-10 22:50 wp Assigned To => wp
2019-07-10 22:50 wp Status new => assigned
2019-07-10 22:53 wp Status assigned => resolved
2019-07-10 22:53 wp Resolution open => fixed
2019-07-10 22:53 wp Fixed in Revision => 61558
2019-07-10 22:53 wp LazTarget => 2.0.4
2019-07-10 22:53 wp Widgetset Win32/Win64 => Win32/Win64
2019-07-10 22:53 wp Note Added: 0117146
2019-07-12 08:38 tr escape Status resolved => closed
2019-07-12 08:38 tr escape Note Added: 0117207